View Issue Details

IDProjectCategoryView StatusLast Update
13633Bug reports[All Projects] Survey takingpublic2018-06-08 13:23
Reportermferraz Assigned Todominikvitt  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.7.x 
Summary13633: Wrong data validation on dropdown boxes
Description

We're experiencing a problem with data validation dropdown boxes.
In between dates we get a error on the validation.

You can check it this URL https://inqueritos.up.pt/index.php?r=survey/index&sid=177233 it's the second example.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.7.1+180424
I will donate to the project if issue is resolvedNo
BrowserChrome + Firefox
Database & DB-VersionMariadb 10.1.26-0+de
Server OS (if known)Debian 9.4
Webserver software & version (if known)Apache2 2.4.25-3+deb
PHP Version7.0.27-0+deb

Relationships

related to 13615 closeddominikvitt The month and year is not saved when advancing and returning in a survey 

Activities

mferraz

mferraz

2018-04-24 16:19

reporter  

firefox.png (19,030 bytes)
firefox.png (19,030 bytes)
limesurvey_survey_177233.lss (17,481 bytes)
guest

guest

2018-05-22 16:17

viewer   ~47705

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27194

c_schmitz

c_schmitz

2018-05-25 11:30

administrator   ~47825

Version 3.8.1+180524 released

guest

guest

2018-06-08 13:23

viewer   ~48031

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27360

Related Changesets

LimeSurvey: master 379f61fc

2018-05-22 16:16:54

Dominik Vitt

Details Diff
Fixed issue 13633: Wrong data validation on dropdown boxes Affected Issues
13633
mod - application/helpers/qanda_helper.php Diff File

LimeSurvey: master 36216269

2018-05-22 16:16:54

Dominik Vitt

Details Diff
Revert "Fixed issue 13633: Wrong data validation on dropdown boxes"

This reverts commit 379f61fc59cc3b442a5e8f1f844952b3162f068e.
Affected Issues
13633
mod - application/helpers/qanda_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-04-24 16:19 mferraz New Issue
2018-04-24 16:19 mferraz File Added: firefox.png
2018-04-24 16:19 mferraz File Added: limesurvey_survey_177233.lss
2018-04-25 08:17 DenisChenu Relationship added related to 13615
2018-05-16 12:55 LouisGac Assigned To => dominikvitt
2018-05-16 12:55 LouisGac Status new => assigned
2018-05-22 16:17 Changeset attached => LimeSurvey master 379f61fc
2018-05-22 16:17 guest Note Added: 47705
2018-05-22 16:17 guest Resolution open => fixed
2018-05-22 16:22 dominikvitt Status assigned => resolved
2018-05-22 16:22 dominikvitt Fixed in Version => 3.7.x
2018-05-25 11:30 c_schmitz Note Added: 47825
2018-05-25 11:30 c_schmitz Status resolved => closed
2018-06-08 13:23 Changeset attached => LimeSurvey master 36216269
2018-06-08 13:23 guest Note Added: 48031